Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKKeyFactory.DH

    java.lang.Object
      |
      +--java.security.KeyFactorySpi
            |
            +--org.bouncycastle.jce.provider.JDKKeyFactory
                  |
                  +--org.bouncycastle.jce.provider.JDKKeyFactory.DH

Enclosing class:
  JDKKeyFactory

public static class JDKKeyFactory.DH
extends JDKKeyFactory

Nested Class Summary

Nested classes inherited from class org.bouncycastle.jce.provider.JDKKeyFactory
`JDKKeyFactory.DH, JDKKeyFactory.DSA, JDKKeyFactory.EC, JDKKeyFactory.ECDH, JDKKeyFactory.ECDHC, JDKKeyFactory.ECDSA, JDKKeyFactory.ElGamal, JDKKeyFactory.RSA`

Constructor Summary
`JDKKeyFactory.DH()`

Method Summary
`protected java.security.PrivateKey` | `engineGeneratePrivate(KeySpec keySpec)`
`protected java.security.PublicKey` | `engineGeneratePublic(KeySpec keySpec)`

Methods inherited from class org.bouncycastle.jce.provider.JDKKeyFactory
`engineGetKeySpec, engineTranslateKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKKeyFactory.DH

    public JDKKeyFactory.DH()

Method Detail

### engineGeneratePrivate

    protected java.security.PrivateKey engineGeneratePrivate(KeySpec keySpec)
                                                      throws InvalidKeySpecException

  Specified by:
    `engineGeneratePrivate` in class `KeyFactorySpi`
    `InvalidKeySpecException`

### engineGeneratePublic

    protected java.security.PublicKey engineGeneratePublic(KeySpec keySpec)
                                                    throws InvalidKeySpecException

  Specified by:
    `engineGeneratePublic` in class `KeyFactorySpi`
    `InvalidKeySpecException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD